<script setup>
import * as inputEnums from '@/app/enums/input';
import Input from '@/app/components/crud/particles/Input.vue';

import { sendRequest } from './scripts/sendRequest';
</script>

<script>
export default {
    methods: {
        submit(event) {
            sendRequest(this, event, 'exchange/excel/export/product-brand', (formData) => {
                return 'Product brands (' + formData.get('date_from') + ' - ' + formData.get('date_to') + ').xlsx';
            });
        },
    },
};
</script>

<template>
    <div class="card card-primary">
        <div class="card-header card-primary">
            {{
                __('Экспорт: :type', {
                    type: __('Бренды'),
                })
            }}
        </div>

        <div class="card-body">
            <form @submit.prevent="submit">
                <div class="row">
                    <Input
                        :item="{
                            label: __('fields->region_id'),
                            name: 'region_id',
                            type: inputEnums.types.select2Ajax,
                            select2Value: 'region.name.:locale',
                            options: {
                                path: 'region/region',
                                field: 'name:locale',
                                placeholder: __('Все'),
                            },
                            wrapperSize: inputEnums.wrapperSizes.xl,
                        }"
                    />

                    <Input
                        :item="{
                            label: __('fields->date_from'),
                            name: 'date_from',
                            type: inputEnums.types.date,
                            options: {},
                            wrapperSize: inputEnums.wrapperSizes.lg,
                        }"
                        placeholder="qwe"
                    />
                    <Input
                        :item="{
                            label: __('fields->date_to'),
                            name: 'date_to',
                            type: inputEnums.types.date,
                            options: {},
                            wrapperSize: inputEnums.wrapperSizes.lg,
                        }"
                    />
                </div>

                <button type="submit" class="btn btn-success btn-block">
                    {{ __('Экспортировать') }}
                </button>
            </form>
        </div>
    </div>
</template>
